classification
Title: multiprocessing docs for Namespace lacks class definition
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: davin, orsenthil, python-dev
Priority: low Keywords:

Created on 2015-12-31 00:54 by davin, last changed 2016-01-20 11:19 by orsenthil. This issue is now closed.

Messages (4)
msg257245 - (view) Author: Davin Potts (davin) * (Python committer) Date: 2015-12-31 00:54
In the docs, references to :class:`Namespace` can not be matched by Sphinx to any class definition because there isn't one in the doc.  It should be placed in the "Namespace objects" subsection and the initial descriptive para moved inside to describe it.

This is mostly a reminder to myself to make this quick fix.
msg258664 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-20 11:12
New changeset 32ee5d197500 by Senthil Kumaran in branch '3.5':
issue25982 - Add a class definition for managers.Namespace in the multiprocessing docs.
https://hg.python.org/cpython/rev/32ee5d197500

New changeset f97da0952a2e by Senthil Kumaran in branch 'default':
merge from 3.5
https://hg.python.org/cpython/rev/f97da0952a2e
msg258665 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-20 11:19
New changeset 8d7aadd40d30 by Senthil Kumaran in branch '2.7':
issue25982 - Add a class definition for managers.Namespace in the multiprocessing docs.
https://hg.python.org/cpython/rev/8d7aadd40d30
msg258666 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-20 11:19
Thanks for the report. Fixed.
History
Date User Action Args
2016-01-20 11:19:37orsenthilsetstatus: open -> closed

type: enhancement -> behavior
assignee: davin -> orsenthil
versions: - Python 3.4
nosy: + orsenthil

messages: + msg258666
resolution: fixed
stage: needs patch -> resolved
2016-01-20 11:19:02python-devsetmessages: + msg258665
2016-01-20 11:12:05python-devsetnosy: + python-dev
messages: + msg258664
2016-01-17 14:24:07SilentGhostsetcomponents: + Documentation
2015-12-31 00:54:56davincreate